petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCASMGetSubKSP

Gets the local KSP contexts for all blocks on this processor.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMGetSubKSP(PC pc,PetscInt *n_local,PetscInt *first_local,KSP *ksp[])

Collective on PC iff first_local is requested Many br

### Input Parameter

pc -the preconditioner context Many br

### Output Parameters

| n_local | - the number of blocks on this processor or NULL Many br
| first_local | - the global number of the first block on this processor or NULL, Many brall processors must request or all must pass NULL Many br
| ksp | - the array of KSP contexts Many br

### Note

After PCASMGetSubKSP() the array of KSPes is not to be freed. Many br

Currently for some matrix implementations only 1 block per processor Many bris supported. Many br

You must call KSPSetUp() before calling PCASMGetSubKSP(). Many br

### Fortran note

The output argument 'ksp' must be an array of sufficient length or NULL_OBJECT. The latter can be used to learn the necessary length. Many br

Many br

### Keywords

PC, ASM, additive Schwarz, get, sub, KSP, context

### See Also

PCASMSetTotalSubdomains(), PCASMSetTotalSubdomains(), PCASMSetOverlap(),
PCASMCreateSubdomains2D(), Many br

Level:advanced
Location:src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex8.c.html